commit:     ab938c9841f3b12a15e765fc2beaf03b2ac41889
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Mon Jul  7 02:34:42 2025 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Mon Jul  7 02:34:42 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ab938c98

dev-python/svg-path: Bump to 7.0

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/svg-path/Manifest            |  1 +
 dev-python/svg-path/svg-path-7.0.ebuild | 43 +++++++++++++++++++++++++++++++++
 2 files changed, 44 insertions(+)

diff --git a/dev-python/svg-path/Manifest b/dev-python/svg-path/Manifest
index 4fad85a77b32..cd7ecabc0aa9 100644
--- a/dev-python/svg-path/Manifest
+++ b/dev-python/svg-path/Manifest
@@ -1 +1,2 @@
 DIST svg-path-6.3.gh.tar.gz 51479 BLAKE2B 
895069baa0c9577fe222c16a5763cccc6bb18ebcb62471faba0b2e9cd06793b2f8e07790ca8153feaa3ee5ca35b2b11ab7ec821dc3ad98e510f6ec76e00f058e
 SHA512 
fd9dd9e1e603be5e212e3eb247c9f3778203f5285397a4cdde4c038c3f31f7bc2b8904491c208256996e2fbd39b4e5f7ea58d964bd5d22bc09c57e4bc2c70317
+DIST svg-path-7.0.gh.tar.gz 59063 BLAKE2B 
8e404a9c798471c0e661c6d22f2861e981e1ee7fb769a0d71a61a2223791b16f53432e7768c92f81eaa544861f90953aabfbb311e9e009fe7b2a8a1b7aac6c46
 SHA512 
8294078f8fcac982887aa7262c16342937b424144e0886095589c482e0b388527c8b2ec22885af6356269377ea0081d3c86950869b47f6f0a96ff8fe97925184

diff --git a/dev-python/svg-path/svg-path-7.0.ebuild 
b/dev-python/svg-path/svg-path-7.0.ebuild
new file mode 100644
index 000000000000..e88a1e272e71
--- /dev/null
+++ b/dev-python/svg-path/svg-path-7.0.ebuild
@@ -0,0 +1,43 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{11..14} )
+
+inherit distutils-r1
+
+MY_P=${P/-/.}
+DESCRIPTION="SVG path objects and parser"
+HOMEPAGE="
+       https://github.com/regebro/svg.path/
+       https://pypi.org/project/svg.path/
+"
+# no tests in sdist, as of 6.3
+SRC_URI="
+       https://github.com/regebro/svg.path/archive/${PV}.tar.gz
+               -> ${P}.gh.tar.gz
+"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+
+BDEPEND="
+       test? (
+               dev-python/pillow[${PYTHON_USEDEP}]
+       )
+"
+
+EPYTEST_PLUGINS=()
+distutils_enable_tests pytest
+
+src_prepare() {
+       distutils-r1_src_prepare
+
+       # strip explicit namespace
+       rm src/svg/__init__.py || die
+       sed -i -e '/namespaces/s:false:true:' pyproject.toml || die
+}

Reply via email to